Subject: [bug#61829] [PATCH 01/11] gnu: Purge pre-1.3.0 deprecated packages.

From: Bruno Victal <[email-masked]>
Date: Thu, 2 Mar 2023 02:29:08 +0000

Hi Simon,

On 2023-02-28 12:52, Simon Tournier wrote:
> Hi,
> 
> On lun., 27 févr. 2023 at 00:11, Bruno Victal <[email-masked]> wrote:
> 
>> -(define-deprecated deeptools python-deeptools)
>> -
> 
> Well, I do not use any of these packages, so I would not mind much.
> But, I know some users who use this one for instance and I would like to
> avoid them some breakage.
> 
> What is the rationale for removing this variable?  Or the others, BTW.

[...]
 
> Well, I understand the “being deprecated” and I agree it would be nice
> to clean up.  Thanks for this janitoring work. :-)
> 
> However, I would first announce such clean up, via guix-devel and/or
> news, maybe info-guix, let some time, say one or two months, and after
> proceed.

This was informally discussed in #guix with Ludovic as a follow-up to
the services cleanup. (tracked at #61789)

The idea is to shed pre-1.3.0 deprecated code from Guix to reduce the
overall maintenance burden. Given the age of the release and the warnings, I assume
most users/maintainers would have taken notice and applied updates.
(no actual package definitions have been removed, only their old aliases)

These variables were found by grep + git blame'ing the files and combing the output
to ensure that only pre-1.3.0 variables were considered.

Cheers,
Bruno